* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

html {
    font-size: 62.5%;
}

body {
    font-size: 1.6rem;
    font-weight: normal;
    font-family: 'Poppins', serif;
    background-color: #222;
}

.card {
    width: 90%;
    max-width: 47rem;
    background: linear-gradient(135deg, #00feba, #5b548a);
    color: #fff;
    margin: 10rem auto 0;
    border-radius: 2rem;
    padding: 4rem 3.5rem;
    text-align: center;
}

.search {
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.search input {
    border: 0;
    outline: 0;
    background: #ebfffc;
    color: #555;
    padding: 1.6rem 2.5rem;
    height: 5rem;
    border-radius: 3rem;
    flex: 1;
    margin-right: 1.6rem;
    font-size: 18px;
}

.search button {
    border: 0;
    outline: 0;
    background: #ebfffc;
    border-radius: 50%;
    width: 6rem;
    height: 6rem;
    cursor: pointer;
}

.search button img {
    width: 2rem;
}

.weather-icon {
    width: 170px;
    margin-top: 30px;
}

.weather h1 {
    font-size: 8rem;
    font-weight: 500;
}

.weather h2 {
    font-size: 4.5rem;
    font-weight: 400;
    margin-top: -1rem;
}

.details {
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 0 2rem;
    margin-top: 5rem;
}

.col {
    display: flex;
    align-items: center;
    text-align: left;
}

.col img {
    width: 4rem;
    margin-right: 1rem;
}

.humidity, .wind {
    font-size: 2.8rem;
    margin-top: -6px;
}

.error {
    text-align: left;
    margin-left: 1rem;
    font-size: 14px;
    margin-top: 1rem;
    display: none;
}